Subject: Re: bug#32821: guix pull error - from 20f8d73face564deec2f21130fb465c8c3d9a8e9 to 53c64d7c9303d52cbacdaca5d182175d472c53db

From: [email-masked] (Ludovic Courtès)
Date: Tue, 25 Sep 2018 17:17:44 +0200

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

> $ guix pull
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> Building from this channel:
>   guix      https://git.savannah.gnu.org/git/guix.git   0001478
> guix pull: warning: failed to load '(wip android)':
> Unbound variable: android-platform-version
> guix pull: warning: failed to load '(wip pascal)':
> Unbound variable: custom-gcc
> 0.0 MB will be downloaded:
>    /gnu/store/njdhsdv216hyk23nfrc7wh9hbq17ymxk-compute-guix-derivation
> Downloading https://berlin.guixsd.org/nar/gzip/njdhsdv216hyk23nfrc7wh9hbq17ymxk-compute-guix-derivation...
>  compute-guix-derivation  887B                                                                                                                      268KiB/s 00:00 [##################] 100.0%

It’s possible that you had a cached narinfo with zero references in
/var/guix/substitute/cache.

Right now I get:

$ --8<---------------cut here---------------start------------->8---
$ wget -q -O - https://berlin.guixsd.org/njdhsdv216hyk23nfrc7wh9hbq17ymxk.narinfo |grep ^Ref
References: 466iifqhyq99qy41km5h6vy6nn6a5m0b-module-import-compiled 6mfd4f8gy11rgn2xk00cnslmrslg9w7h-guile-2.2.3 ak8kcfpyz76vhn9g2giygrxpx9zfi9zw-module-import qbzw2ygy1nq2h0nq6sl9cgg1c5mq5g8z-guile-gcrypt-0.1.0
--8<---------------cut here---------------end--------------->8---

This kind of problem can propagate to every user who trusts the build
farm, so it’s obviously a serious issue.

I’d like to understand how this happened in the first place but all I
can think of is some database corruption or hardware failure.  The
reference scanner in libstore/references.cc cannot be blamed AFAICS.

Ludo’.